Bug 147194 - Local Users Can't Log In
Local Users Can't Log In
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 15:00 EST by Marc Perkel
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 07:09:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Perkel 2005-02-04 15:00:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041217

Description of problem:
I try to log in with an ftp client and I get

login incorrect

There's no system more secure that a server that doesn't work at all.

I have tried several known good local users and get the same result:

[root@darwin ~]# ftp bpofrontline.com
Connected to bpofrontline.com (66.77.12.173).
220 (vsFTPd 1.2.1)
Name (bpofrontline.com:root): marc
331 Please specify the password.
Password:
530 Login incorrect.
Login failed.



Version-Release number of selected component (if applicable):
vsftpd-1.2.1-5

How reproducible:
Always

Steps to Reproduce:
1. run ftp
2. try to log in
3. login fails
    

Actual Results:  [root@darwin ~]# ftp bpofrontline.com
Connected to bpofrontline.com (66.77.12.173).
220 (vsFTPd 1.2.1)
Name (bpofrontline.com:root): marc
331 Please specify the password.
Password:
530 Login incorrect.
Login failed.


Additional info:
Comment 1 Marc Perkel 2005-02-06 06:37:48 EST
Using authconfig I had MD5, Shadow, and Kerberos selected. When I
deselected Kerberos it fixed the problem. Kerberos screwed up pam
permissions.

Kerberos breaks vsftpd.

I just wasted two days trying to figure this out. 
Comment 2 Radek Vokal 2005-02-07 07:09:08 EST
Ok, I'm closing this as NOTABUG. Were you able to login (into
terminal) with Kerberos auth turned on? If so, this should work with
kerberosized ftp client .. 

Note You need to log in before you can comment on or make changes to this bug.